Bug 10940 - Version 0.5.9 does not build on FreeBSD
Version 0.5.9 does not build on FreeBSD
Status: RESOLVED FIXED
Product: hal
Classification: Unclassified
Component: build
unspecified
All FreeBSD
: medium normal
Assigned To: David Zeuthen (not reading bugmail)
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-14 04:33 UTC by Jerome Warnier
Modified: 2007-05-31 13:39 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jerome Warnier 2007-05-14 04:33:31 UTC
I'm trying to get GNOME to build on Debian GNU/kFreeBSD. Gnome-control-center requires HAL to build.
I get version 0.5.9 on this Debian (Sid).

So, my problem is a Linux-specific problem like this:
partutil.c:34:25: error: linux/hdreg.h: No such file or directory

Could you fix it?

Thanks
Comment 1 Danny Kukawka 2007-05-14 10:11:25 UTC
you have to install the correct kernel header files including linux/hdreg.h. If you build for freeBSD you have maybe to enable the correct backend or you disable parted support --disable-parted.
Comment 2 Jerome Warnier 2007-05-14 10:55:58 UTC
Obviously, linux/hdreg.h is a Linux-specific kernel header, not to be found on FreeBSD.
So, I will play with the build option to see what I can get out of it, but still, it should build without problems, disabling options not available on a specific arch/OS.
Comment 3 Jerome Warnier 2007-05-17 17:51:20 UTC
... and using --disable-parted does not even solve the issue (allow to build).

Thanks for your help.
Comment 4 Doug Goldstein 2007-05-31 13:39:41 UTC
I supplied patches for this exact issue a while back. They're committed to master and hal-0_5_9-branch.